version: '3.8' # Version docker-compsoe
services:
  mongo:
    image: mongo
    container_name: mongo # --container-name 
    restart: unless-stopped
    ports: # -p 
      - "27017:27017"
      #- "8081:8081"

    volumes: # -v 
      - mongodb_data:/data/db

  mongo-express:
    image: mongo-express 
    container_name: mongo-express # --continar
    restart: unless-stopped
    ports:  # -p 
      - "8081:8081"
    environment: # -e 
      ME_CONFIG_MONGODB_ADMINUSERNAME: root
      ME_CONFIG_MONGODB_ADMINPASSWORD: example
      ME_CONFIG_MONGODB_SERVER: mongo

volumes:
  mongodb_data:
